ブラウザ - Vivaldi - ダウンロード・インストール - FreeBSD へ(まだ無理っぽい)

 
1. 概要
2. やってみたこと

1. 概要

 Ubuntu へインストールできたので、調子に乗って、FreeBSD にインストールできないかと画策中です(2019年02月07日)。  結論としては、ports なり pkg なりが出るまで待つしかないかなぁってとこなのですが、以下、やってみたことだけを書いておきます。

2. やってみたこと

 dpkg なる .deb を扱えるパッケージがあるようなのでインストール。

pkg install dpkg
 当然、これは、すんなりインストールできるわけです。  パッケージをダウンロード

> cd ダウンロード
> fetch https://downloads.vivaldi.com/stable/vivaldi-stable_2.3.1440.41-1_amd64.deb
vivaldi-stable_2.3.1440.41-1_amd64.deb                  55 MB 1092 kBps    52s
 ここからが問題だ。  root ユーザで

> dpkg --install vivaldi-stable_2.3.1440.41-1_amd64.deb
dpkg: エラー: パッケージ情報ファイル `/var/db/dpkg/status' 読み取り用のオープンに失敗しました: そのようなファイルまたはディレクト リはありません
 /var/db/dpkg というディレクトリはあるのだが

> ls /var/db/dpkg
alternatives      diversions.sample  lock           methods  statoverride.sample  updates
available.sample  info               lock-frontend  parts    status.sample
 どうやって /var/db/dpkg/status を作成するかもわからんので。  ここいらから無茶苦茶です。

> touch /var/db/dpkg/status
> dpkg --install vivaldi-stable_2.3.1440.41-1_amd64.deb
dpkg: アーカイブ vivaldi-stable_2.3.1440.41-1_amd64.deb の処理中にエラーが発生しました (--install):
 パッケージアーキテクチャ (amd64) がシステム (freebsd-amd64) と一致しません
処理中にエラーが発生しました:
 vivaldi-stable_2.3.1440.41-1_amd64.deb
 まぁ、これもそうだわな・・・。  「Ubuntu の 64bit 環境に AdobeReader をインストール - まいみ09のハテナ日記」を参考に。

> dpkg --install --force-architecture vivaldi-stable_2.3.1440.41-1_amd64.deb
dpkg: 警告: --force が有効なので、問題を無視します:
dpkg: 警告: パッケージアーキテクチャ (amd64) がシステム (freebsd-amd64) と一致しません
以前に未選択のパッケージ vivaldi-stable:amd64 を選択しています。
dpkg: vivaldi-stable_2.3.1440.41-1_amd64.deb が vivaldi-stable:amd64 を含むことを考慮すると、先行依存の問題があります:
 vivaldi-stable:amd64 は dpkg (>= 1.14.0) に先行依存 (pre-depends) します

dpkg: アーカイブ vivaldi-stable_2.3.1440.41-1_amd64.deb の処理中にエラーが発生しました (--install):
 先行依存問題 - vivaldi-stable:amd64 をインストールしません
処理中にエラーが発生しました:
 vivaldi-stable_2.3.1440.41-1_amd64.deb
 それはそうだわな、なんにもインストールしてないもの・・・。  必要そうなものが「Debian/Debian9 に Vivaldi をインストール - Linux と過ごす」に書いてありますが・・・。  今んとこ、ここまで(2019年02月08日)。